cURL
curl --request PUT \ --url https://api.xplenty.com/{account_id}/api/user \ --header 'Accept: <accept>' \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "email": "jsmith@example.com", "time_zone": "<string>", "location": "<string>", "notification_settings": {} } '
{ "id": 123, "name": "<string>", "email": "jsmith@example.com", "avatar_url": "<string>", "api_key": "<string>", "time_zone": "<string>", "location": "<string>", "confirmed": true, "confirmed_at": "2023-11-07T05:31:56Z", "notifications_count": 123, "unread_notifications_count": 123, "notification_settings": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "url": "<string>", "html_url": "<string>", "last_login": "2023-11-07T05:31:56Z" }
Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...
curl -u YOUR_API_KEY: https://api.xplenty.com/...
API version header — required on all requests
User updated
Was this page helpful?